import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, select } from '@storybook/addon-knobs';
import { Badge } from './';
import notes from './README.md';
var components = storiesOf('Components', module);
components.addDecorator(withKnobs);
components.add('Badge', function () {
    var colors = ['purple', 'yellow', 'green', 'red', 'blue', 'lightGray'];
    return (React.createElement(Badge, { label: text('Label', 'En badge'), color: select('Color', colors, 'purple'), tooltip: text('Tooltip', 'En tooltip') }));
}, { notes: notes });
//# sourceMappingURL=story.js.map