import React from 'react';
import 'react-datepicker/dist/react-datepicker.css';
export interface DatePickerProps {
    locale: 'sv' | 'fi' | 'nb';
    label?: string;
    selectedDate?: Date;
    minDate?: Date;
    maxDate?: Date;
    invalidMessage?: string;
    onChange: (date: Date | null) => void;
}
export interface State {
    showError: boolean;
    isValid: boolean;
}
export declare const DatePicker: React.SFC<import("emotion-theming/types/helper").AddOptionalTo<DatePickerProps & React.RefAttributes<React.Component<DatePickerProps, any, any>>, "theme">>;
