import React from 'react';
export interface SelectItem {
    key?: string;
    label: string;
}
export interface SelectProps {
    label?: string | React.ReactNode;
    disabled?: boolean;
    error?: string | boolean;
    items?: SelectItem[];
    value?: string;
    name?: string;
    placeholder?: string;
    onChange: (event: React.FormEvent<HTMLSelectElement>) => void;
}
export declare const Select: React.FC<SelectProps>;
