import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs } from '@storybook/addon-knobs';
import { Spinner } from './';
import notes from './README.md';
var components = storiesOf('Components', module);
components.addDecorator(withKnobs);
components.add('Spinner', function () {
    return React.createElement(Spinner, null);
}, { notes: notes });
//# sourceMappingURL=story.js.map