import * as React from 'react';
interface ItemProps {
    hasCompleted: boolean;
    active: boolean;
    onClick?: () => void;
    itemCount: number;
}
declare const Item: import("@emotion/styled-base").StyledComponent<React.DetailedHTMLProps<React.LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, ItemProps, typeof import("../../themes/collector")>;
declare type Key = string | number;
interface Item {
    key: Key;
    label: string;
    onClick: () => void;
}
interface Props {
    items: Item[];
    active?: Key;
}
export declare const ProgressIndicator: React.StatelessComponent<Props>;
export {};
