import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs } from '@storybook/addon-knobs';
import notes from './README.md';
import { InformationContainer } from '.';
var components = storiesOf('Portal Components', module);
components.addDecorator(withKnobs);
components.add('InformationContainer', function () {
    return React.createElement(InformationContainer, null, "A nice looking container for information that you need with a consistent style");
}, { notes: notes });
//# sourceMappingURL=story.js.map