import React from 'react';
import styled from '../';
var PageHeaderContainer = styled.div(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            display: 'flex',
            alignItems: 'center',
            overflow: 'hidden',
            boxSizing: 'border-box',
            width: '100%',
            paddingBottom: 24,
            '@media print': {
                display: 'none',
            }
        },
        _b[theme.breakpoints.mobileAndLower] = {
            paddingBottom: 16,
            minHeight: 0,
        },
        _b);
});
var Title = styled.h1(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            margin: 0,
            font: theme.fonts.desktop.xxl,
            fontWeight: 700
        },
        _b[theme.breakpoints.mobileAndLower] = {
            font: theme.fonts.mobile.xxl,
            fontWeight: 700,
        },
        _b);
});
export var PageHeader = function (_a) {
    var title = _a.title, children = _a.children;
    return (React.createElement(PageHeaderContainer, null, title ? React.createElement(Title, null, title) : children));
};
//# sourceMappingURL=PageHeader.js.map