import React from 'react';
import { Link as RouterLink } from 'react-router-dom';
import styled from '../../';
var Container = styled.div(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            boxSizing: 'border-box',
            height: 128,
            padding: 16,
            display: 'flex',
            justifyContent: 'center',
            flexShrink: 0,
            alignItems: 'center',
            fontWeight: 700,
            background: theme.colors.sidebarBlueLight,
            color: theme.colors.white
        },
        _b[theme.breakpoints.mobileAndLower] = {
            height: 46,
            background: 'none',
        },
        _b);
});
var Link = styled(RouterLink)(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            color: 'inherit',
            textDecoration: 'none',
            position: 'relative',
            zIndex: 2
        },
        _b[theme.breakpoints.mobileAndLower] = {
            transform: 'scale(0.6)',
        },
        _b);
});
var Image = styled.img({
    display: 'block',
});
var SiteName = styled.div(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            textAlign: 'center',
            font: theme.fonts.desktop.xl,
            fontWeight: 700
        },
        _b[theme.breakpoints.mobileAndLower] = {
            font: theme.fonts.mobile.xl,
            fontWeight: 700,
        },
        _b);
});
export var Logo = function (_a) {
    var location = _a.location, image = _a.image, siteName = _a.siteName;
    return (React.createElement(Container, null,
        React.createElement(Link, { to: location }, image ? React.createElement(Image, { src: image, alt: siteName }) : React.createElement(SiteName, null, siteName))));
};
//# sourceMappingURL=Logo.js.map