import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs } from '@storybook/addon-knobs';
import notes from './README.md';
import { Tabs } from '.';
import { BrowserRouter } from 'react-router-dom';
var components = storiesOf('Portal Components', module);
components.addDecorator(withKnobs);
components.add('Tabs', function () {
    var tabItems = [{ label: 'Item 1', path: '' }, { label: 'Item 2', path: '#2' }, { label: 'Item 3', path: '#3' }];
    return (React.createElement(BrowserRouter, null,
        React.createElement(Tabs, { items: tabItems })));
}, { notes: notes });
//# sourceMappingURL=story.js.map