import React from 'react';
export declare type NotificationType = 'cui-is-success' | 'cui-is-info' | 'cui-is-warning' | 'cui-is-danger';
interface NotificationProps {
    type: NotificationType;
    title?: string;
    description: string | JSX.Element;
    hasIcon?: boolean;
    isOutlined?: boolean;
    linkHref?: string;
    linkText?: string;
    onClose?: () => void;
}
export declare const Notification: React.FC<NotificationProps>;
export {};
