import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, select, boolean } from '@storybook/addon-knobs';
import { Notification } from './index';
var components = storiesOf('Version 2', module);
components.addDecorator(withKnobs);
components.add('Notification', function () {
    var types = ['cui-is-success', 'cui-is-info', 'cui-is-warning', 'cui-is-danger'];
    return (React.createElement(Notification, { title: text('Title', 'Senaste info gick inte att visa'), description: text('Description', 'Felet kan åtgärdas om du laddar om sidan.'), hasIcon: boolean('Icon', true), type: select('Type', types, 'cui-is-success'), isOutlined: boolean('Outline', false), linkHref: text('Link', 'https://collector.se'), linkText: text('Button text', 'Läs mer') }));
});
//# sourceMappingURL=story.js.map