import * as React from 'react';
import { Link } from 'react-router-dom';
import { svg } from './portalIcons';
export var PortalTopMenu = function (_a) {
    var submenu = _a.submenu, nrOfUnreadMessages = _a.nrOfUnreadMessages;
    var getTopIconContent = function (menuItem) {
        return (React.createElement(React.Fragment, null,
            menuItem.hasOwnProperty('isMsg') &&
                menuItem.isMsg &&
                nrOfUnreadMessages > 0 && (React.createElement("span", { className: "cui-msg" }, nrOfUnreadMessages)),
            svg.securemsgIcon));
    };
    return (React.createElement(React.Fragment, null, submenu && submenu.map(function (menuItem, index) {
        if (menuItem.hasExternalUrl) {
            return (React.createElement("a", { className: "cui-menu-btn", href: menuItem.url, key: index }, getTopIconContent(menuItem)));
        }
        else {
            return (React.createElement(Link, { className: "cui-menu-btn", to: menuItem.url, key: index }, getTopIconContent(menuItem)));
        }
    })));
};
//# sourceMappingURL=PortalTopMenu.js.map