export interface PortalMenu {
    homeUrl: string;
    topItems: PortalMenuItem[];
    asideGeneralItems: PortalMenuItem[];
    asidePortalItems: PortalMenuItem[];
}
export interface PortalMenuItem {
    icon: string;
    url: string;
    label?: string;
    isMsg?: boolean;
    hasExternalUrl?: boolean;
    id?: number;
    subpages: PortalMenuItem[];
}
export interface PortalMenuTreeNode {
    index: number;
    url: string;
    id: number;
}
export declare const createMenuTreeBy: (menu: any, hostname: string, menuItemStartId?: number) => any;
export declare const traverse: (menuItem: PortalMenuItem, hostname: string, nodes: any[]) => any;
export declare const getTraversedMenuNodes: (menuItems: PortalMenuItem[], hostname: string, isDropdown?: boolean, setActiveUrl?: Function | undefined) => PortalMenuTreeNode[];
