import { useState } from 'react';
export function useInput(initialValue) {
    var _a = useState(initialValue), value = _a[0], setValue = _a[1];
    var onChange = function (event) {
        setValue(event.currentTarget.value);
    };
    return { value: value, onChange: onChange, setValue: setValue };
}
export function useAmountInput(initialValue) {
    var _a = useState(initialValue), value = _a[0], setValue = _a[1];
    var onChange = function (event) {
        setValue(event);
    };
    return { value: value, onChange: onChange, setValue: setValue };
}
//# sourceMappingURL=use-input.js.map