export declare function usePromise<TResult, TErrorResult extends {}>(promise: (abortSignal?: AbortSignal) => Promise<TResult>): {
    data: TResult | undefined;
    loading: boolean;
    error: {
        code: number;
        data: TErrorResult;
    } | undefined;
    trigger: () => Promise<() => undefined>;
    resetPromiseData: () => void;
};
