import React from 'react';
export declare type AlertSize = 'small' | 'large';
export declare type AlertType = 'error' | 'warning' | 'info' | 'success';
export interface AlertProps extends React.HTMLAttributes<HTMLDivElement> {
    heading?: string;
    message: string | JSX.Element;
    type: AlertType;
    alertSize?: AlertSize;
    fadeIn?: boolean;
    wide?: boolean;
}
export declare const Alert: React.FC<AlertProps>;
