import React from 'react';
export declare type BadgeColor = 'purple' | 'yellow' | 'green' | 'red' | 'blue' | 'pink' | 'lightGray';
export interface BadgeProps extends React.ComponentProps<'div'> {
    label: string;
    color?: BadgeColor;
    tooltip?: string;
    className?: string;
}
interface BadgeState {
    tooltipIsVisible: boolean;
}
export declare class Badge extends React.Component<BadgeProps, BadgeState> {
    static displayName: string;
    state: BadgeState;
    private showTooltip;
    private hideTooltip;
    private toggleTooltip;
    render(): JSX.Element;
}
export {};
