import React from 'react';
import { storiesOf } from '@storybook/react';
import { State, Store } from '@sambego/storybook-state';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import { BoxMessage } from './';
import notes from './README.md';
var components = storiesOf('Components', module);
components.addDecorator(withKnobs);
var store = new Store({
    value: '',
});
components.add('BoxMessage', function () {
    return (React.createElement(State, { store: store },
        React.createElement(BoxMessage, { label: text('Label', 'En label'), buttonLabel: text('buttonLabel', 'En knapp label'), showLogo: boolean('Disabled', false), onClick: function () { }, buttonKind: "primary" })));
}, { notes: notes });
//# sourceMappingURL=story.js.map