import React from 'react';
import { BadgeColor } from '../Badge';
declare type CardBackgroundColors = 'white' | 'darkPurple';
export interface CardProps {
    heading?: string;
    badgeColor?: BadgeColor;
    body: React.ReactNode;
    subBody?: React.ReactNode;
    onDismiss?: () => void;
    backgroundColor?: CardBackgroundColors;
    location?: string;
}
export declare const Card: React.FC<CardProps>;
export {};
