import React from 'react';
export interface CheckboxItem {
    key: string;
    label: string;
    child?: React.ReactNode;
}
export interface CheckboxGroupProps {
    label: string | React.ReactNode;
    items: CheckboxItem[];
    checked?: string[];
    disabled?: boolean;
    error?: string | boolean;
    onChange: (key: string, checked: boolean) => void;
}
export interface CheckboxGroupState {
    name: string;
}
export declare class CheckboxGroup extends React.Component<CheckboxGroupProps, CheckboxGroupState> {
    static displayName: string;
    state: CheckboxGroupState;
    private handleChange;
    private isChecked;
    render(): JSX.Element;
}
