import React from 'react';
export interface PaginatorProps {
    numberOfItems: number;
    pageSize: number;
    activePage: number;
    numbersInMiddle: number;
    onChange: (activePage: number) => void;
}
export declare class Paginator extends React.Component<PaginatorProps, {}> {
    lastPage: () => number;
    center: () => number;
    render(): JSX.Element | null;
    private nextPage;
    private previousPage;
    private handleClick;
    private renderJumpToStart;
    private renderJumpToEnd;
    private getPages;
    private fillStart;
    private fillEnd;
    private getActivePages;
    private isWithinInitialRange;
    private isWithinEndRange;
}
