import React from 'react';
export declare type Direction = 'row' | 'column';
export declare type Key = any;
export interface RadioButtonItem {
    key: Key;
    label: string | JSX.Element;
    child?: React.ReactNode;
}
export interface RadioButtonGroupProps {
    label?: React.ReactNode;
    items: RadioButtonItem[];
    selected?: Key;
    disabled?: boolean;
    error?: string | boolean;
    direction?: Direction;
    onChange: (key: Key) => void;
}
export interface RadioButtonGroupState {
    name: string;
}
export declare class RadioButtonGroup extends React.Component<RadioButtonGroupProps, RadioButtonGroupState> {
    static displayName: string;
    state: RadioButtonGroupState;
    private handleChange;
    render(): JSX.Element;
}
