import React from 'react';
import { BackArrow } from './BackArrow';
import styled from '../..';
import { TextLink } from '../../common/typography';
var Container = styled.div(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            width: '100%',
            height: 52,
            background: theme.colors.lightOffWhite,
            color: theme.colors.purple,
            fontWeight: 300
        },
        _b[theme.breakpoints.mobileAndLower] = {
            height: 46,
        },
        _b);
});
var Description = styled.div({
    marginLeft: 16,
});
var Link = styled(TextLink)(function (_a) {
    var theme = _a.theme;
    return ({
        display: 'flex',
        alignItems: 'center',
        height: '100%',
        paddingLeft: 24,
        paddingRight: 24,
        maxWidth: 200,
        color: theme.colors.purple,
        transition: 'color 200ms ease-in',
        '&:hover': {
            color: theme.colors.darkIndigo,
        },
    });
});
export var BackBar = function (_a) {
    var linkText = _a.linkText, link = _a.link;
    return linkText !== undefined && link !== undefined ? (React.createElement(Container, null,
        React.createElement(Link, { href: link },
            React.createElement(BackArrow, null),
            React.createElement(Description, null, linkText)))) : null;
};
//# sourceMappingURL=index.js.map