import * as React from 'react';
import styled from '../..';
import { H1 } from '../../common/typography';
var Container = styled.div(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            background: theme.colors.white,
            overflow: 'hidden',
            height: '100%'
        },
        _b[theme.breakpoints.mobileAndLower] = {
            minHeight: 'calc(100vh - 52px)',
        },
        _b);
});
var HeaderContainer = styled.div(function (_a) {
    var theme = _a.theme;
    return ({
        background: theme.colors.white,
        paddingBottom: 40,
    });
});
var HeaderContent = styled.div({
    overflow: 'hidden',
});
var Body = styled.div({
    width: '100%',
    maxWidth: 800,
});
var BodyContainer = styled.div({
    display: 'flex',
    justifyContent: 'center',
});
export var GuideContainer = function (_a) {
    var progressTracker = _a.progressTracker, label = _a.label, children = _a.children;
    return (React.createElement(Container, null,
        React.createElement(HeaderContainer, null,
            React.createElement(HeaderContent, null,
                React.createElement(H1, { style: { marginBottom: progressTracker ? undefined : 0 } }, label),
                progressTracker)),
        React.createElement(BodyContainer, null,
            React.createElement(Body, null, children))));
};
//# sourceMappingURL=GuideContainer.js.map