import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs } from '@storybook/addon-knobs';
import notes from './README.md';
import { Modal } from '.';
import styled from '../..';
var components = storiesOf('Portal Components', module);
var Container = styled.div({
    minHeight: 250,
    display: 'flex',
    flexDirection: 'column',
    justifyContent: 'space-between',
});
components.addDecorator(withKnobs);
components.add('Modal', function () {
    return (React.createElement(Modal, { isOpen: true },
        React.createElement(Container, null, "A nice modal that is always open!")));
}, { notes: notes });
//# sourceMappingURL=story.js.map