import React from 'react';
import { BackBar } from './BackBar';
import styled from '..';
var Container = styled.div(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            backgroundColor: theme.colors.lightOffWhite,
            display: 'flex'
        },
        _b[theme.breakpoints.mobileAndLower] = {
            flexDirection: 'column',
        },
        _b);
});
export var PortalContainer = function (_a) {
    var children = _a.children, backLinkText = _a.backLinkText, backLink = _a.backLink;
    return (React.createElement(React.Fragment, null,
        React.createElement(BackBar, { linkText: backLinkText, link: backLink }),
        React.createElement(Container, null, children)));
};
//# sourceMappingURL=PortalContainer.js.map