import React from 'react';
import styled from '../../';
import { MainMenu } from './MainMenu';
import { Logo } from './Logo';
var Container = styled.header(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            position: 'relative',
            width: 280,
            display: 'flex',
            flexDirection: 'column',
            flexShrink: 0,
            minHeight: '100vh',
            background: theme.colors.sidebarBlue,
            color: theme.colors.white
        },
        _b[theme.breakpoints.mobileAndLower] = {
            minHeight: 'auto',
            flexDirection: 'row',
            justifyContent: 'center',
            alignItems: 'center',
            width: '100%',
            zIndex: 60,
        },
        _b);
});
export var PortalHeader = function (_a) {
    var logoImage = _a.logoImage, logoTarget = _a.logoTarget, siteName = _a.siteName, menuItems = _a.menuItems, menuFooter = _a.menuFooter, menuEvents = _a.menuEvents;
    return (React.createElement(React.Fragment, null,
        React.createElement(Container, null,
            React.createElement(Logo, { image: logoImage, siteName: siteName, location: logoTarget }),
            React.createElement(MainMenu, { items: menuItems, menuFooter: menuFooter, menuEvents: menuEvents }))));
};
//# sourceMappingURL=index.js.map