var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import styled from '../';
var List = styled.dl({
    marginTop: 0,
});
var Heading = styled.dt(function (_a) {
    var theme = _a.theme;
    return ({
        color: theme.colors.darkGray,
        font: theme.fonts.desktop.small,
    });
});
var Value = styled.dd({
    margin: 0,
    '&:not(:last-child)': {
        marginBottom: 16,
    },
});
export var ValueList = function (props) {
    var items = props.items
        .map(function (item) { return (Array.isArray(item.value) ? __assign(__assign({}, item), { value: item.value.filter(function (x) { return x; }) }) : item); })
        .filter(function (item) { return item.heading && item.value && item.value.length > 0; });
    return (React.createElement(List, null, items.map(function (item, i) { return [
        React.createElement(Heading, { key: i + "_heading" }, item.heading),
        React.createElement(Value, { key: i + "_value" }, Array.isArray(item.value) ? item.value.map(function (val, j) { return React.createElement("div", { key: j }, val); }) : item.value),
    ]; })));
};
//# sourceMappingURL=ValueList.js.map