import * as React from 'react';
import { getIcon } from './PortalAsideMenuItem';
export var PortalAsideDropdown = function (_a) {
    var isActive = _a.isActive, menuItem = _a.menuItem, onClick = _a.onClick;
    var onClickDropdown = function (PortalMenuItem) {
        onClick(PortalMenuItem);
    };
    return (React.createElement("button", { className: "cui-nav-item " + (isActive ? 'cui-is-open' : ''), onClick: function () { return onClickDropdown(menuItem); } },
        getIcon(menuItem.icon),
        React.createElement("div", { className: "cui-content" },
            isActive,
            menuItem.label)));
};
//# sourceMappingURL=PortalAsideDropdown.js.map