import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs } from '@storybook/addon-knobs';
import { BrowserRouter } from 'react-router-dom';
import { Portal } from './index';
var menuItems = require("./menuItems.json");
var components = storiesOf('Version 2', module);
components.addDecorator(withKnobs);
components.add('Portal', function () {
    return (React.createElement(BrowserRouter, null,
        React.createElement(Portal, { portalMenu: menuItems, nrOfUnreadMessages: 3, menuFooter: React.createElement("div", null, "Component Area") }, "Content")));
});
//# sourceMappingURL=story.js.map