export interface Error {
    status: number;
    content: any;
}
export declare const get: (endpoint: string, payload?: any, extraHeaders?: {
    [name: string]: string;
} | undefined, abortSignal?: AbortSignal | undefined) => Promise<any>;
export declare const post: (endpoint: string, payload?: any, extraHeaders?: {
    [name: string]: string;
} | undefined, abortSignal?: AbortSignal | undefined) => Promise<any>;
export declare const put: (endpoint: string, payload?: any, extraHeaders?: {
    [name: string]: string;
} | undefined, abortSignal?: AbortSignal | undefined) => Promise<any>;
export declare const del: (endpoint: string, payload?: any, extraHeaders?: {
    [name: string]: string;
} | undefined, abortSignal?: AbortSignal | undefined) => Promise<any>;
export declare const patch: (endpoint: string, payload?: any, extraHeaders?: {
    [name: string]: string;
} | undefined, abortSignal?: AbortSignal | undefined) => Promise<any>;
export declare const getRaw: (endpoint: string, payload?: any, extraHeaders?: {
    [name: string]: string;
} | undefined, abortSignal?: AbortSignal | undefined) => Promise<any>;
export declare const download: (response: Response, fallbackFileName?: string) => Promise<void>;
