import React from 'react';
import { Global } from '@emotion/core';
import * as emotion from '@emotion/styled';
import { ThemeProvider } from 'emotion-theming';
import * as collectorTheme from './themes/collector';
import './common/fonts/fonts.css';
var globalStyles = function (theme) { return ({
    html: {
        WebkitFontSmoothing: 'antialiased',
        textSizeAdjust: '100%',
    },
    body: {
        margin: 0,
        font: theme.fonts.desktop.medium,
        color: theme.colors.black,
    },
}); };
export var CollectorPortalFramework = function (_a) {
    var _b = _a.theme, theme = _b === void 0 ? collectorTheme : _b, children = _a.children;
    return (React.createElement(ThemeProvider, { theme: theme },
        React.createElement(Global, { styles: globalStyles }),
        children));
};
var styled = emotion.default;
export default styled;
//# sourceMappingURL=index.js.map